
# Find directory of rts-cpu-isolator headers
CPU_ISO_HEADERS_DIR ?= /usr/src/rts-cpu-isolator-*/
ifeq ("$(wildcard $(CPU_ISO_HEADERS_DIR)/rts-cpu-isolator.h)","")
$(error Could not find the CPU Isolator header. Is the advligorts-cpu-isolator-dkms package installed? You can also define CPU_ISO_HEADERS_DIR if you have a repo checkout)
endif
CPU_ISO_HEADERS:=$(shell dirname $(shell find $(CPU_ISO_HEADERS_DIR) -name rts-cpu-isolator.h) )

# Find directory of rts-logger headers
RTS_LOGGER_HEADERS_DIR ?= /usr/src/rts-logger-*/
ifeq ("$(wildcard $(RTS_LOGGER_HEADERS_DIR)/drv/rts-logger.h)","")
$(error Could not find the rts-logger header. Is the advligorts-logger-dkms package installed? You can also define RTS_LOGGER_HEADERS_DIR if you have a repo checkout)
endif
# We go up one dir (../) here to preserve "#include "drv/rts-logger.h"
RTS_LOGGER_HEADERS:=$(shell dirname $(shell find $(RTS_LOGGER_HEADERS_DIR) -name rts-logger.h))/../



# obj-m specifie we're a kernel module.
obj-m += multi_ld32_driver.o
multi_ld32_driver-objs := module.o ../src/ligo28ao32.o ../src/ligoPTC.o

INCS :=-I$(src)/../include/ -I$(CPU_ISO_HEADERS) -I$(RTS_LOGGER_HEADERS)
CFLAGS := -std=gnu99 -Wno-declaration-after-statement -ffast-math -m80387 -msse2 -fno-builtin-sincos
ccflags-y := $(CFLAGS) $(INCS)


# Set the path to the Kernel build utils.
KBUILD=/lib/modules/$(shell uname -r)/build/

ifndef CPU_ISO_SYMVERS
CPU_ISO_SYMVERS := $(shell find /var/lib/dkms/rts-cpu-isolator/ -name Module.symvers | head -n 1)
#CPU_ISO_SYMVERS := $(advligo_src)/drv/rts-cpu-isolator/Module.symvers
endif

ifndef RTS_LOGGER_SYM
RTS_LOGGER_SYM := $(shell find /var/lib/dkms/rts-logger/ -name Module.symvers | head -n 1)
#RTS_LOGGER_SYM := $(advligo_src)/drv/rts-logger/module/Module.symvers
endif


CPU_ISO_SYMVERS := $(CPU_ISO_SYMVERS) $(RTS_LOGGER_SYM)


KBUILD_EXTRA_SYMBOLS := $(CPU_ISO_SYMVERS)

default:
	$(MAKE) -C $(KBUILD) M=$(PWD) modules

clean:
	$(MAKE) -C $(KBUILD) M=$(PWD) clean

menuconfig:
	$(MAKE) -C $(KBUILD) M=$(PWD) menuconfig
